### Method

# ICalGLib Component remove_property

since: 1.0

#### Declaration [src]

    void
    i_cal_component_remove_property (
      ICalComponent* component,
      ICalProperty* property
    )

#### Description [src]

Removes `ICalProperty` from `ICalComponent`. Caution: The compare is based on address. So you must use the original `ICalProperty` as the target.

Available since: 1.0

#### Parameters

`property`

  Type: `ICalProperty`

  A `ICalProperty`.

  The data is owned by the caller of the method.